#ifndef DATATYPE_H
#define DATATYPE_H

#include <stdbool.h>

#define STRUCT_OFFSET 1000

typedef enum { DT_INT, DT_FLOAT, DT_BOOL, DT_VOID } DataType;

const char* dtGetName(DataType dt);
int dtGetSize(DataType dt);
DataType dtArray(DataType dt, int dimensions);
DataType dtStruct(int id);
int dtMaxDimensions();
bool dtIsArray(DataType dt);
bool dtIsStruct(DataType dt);

#endif